RAMDirectoryUtil (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.index.lucene
Class RAMDirectoryUtil

    java.lang.Object
      org.apache.hadoop.contrib.index.lucene.RAMDirectoryUtil

    public class RAMDirectoryUtil

extends Object

A utility class which writes an index in a ram dir into a DataOutput and read from a DataInput an index into a ram dir.

Constructor Summary
`RAMDirectoryUtil()`

Method Summary
`static void` | `readRAMFiles(DataInput in, org.apache.lucene.store.RAMDirectory dir)` Read a number of files from a data input to a ram directory.
`static void` | `writeRAMFiles(DataOutput out, org.apache.lucene.store.RAMDirectory dir, String[] names)` Write a number of files from a ram directory to a data output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAMDirectoryUtil

    public RAMDirectoryUtil()

Method Detail

### writeRAMFiles

    public static void writeRAMFiles(DataOutput out,
                                     org.apache.lucene.store.RAMDirectory dir,
                                     String[] names)
                              throws IOException

  Write a number of files from a ram directory to a data output.

  Parameters:
    `out` - the data output
    `dir` - the ram directory
    `names` - the names of the files to write
  Throws:
    `IOException`

### readRAMFiles

    public static void readRAMFiles(DataInput in,
                                    org.apache.lucene.store.RAMDirectory dir)
                             throws IOException

  Read a number of files from a data input to a ram directory.

  Parameters:
    `in` - the data input
    `dir` - the ram directory
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation